%global driver gphoto
%global revision 1783
%global date 20141015
%global checkout %{date}svn%{revision}


Name:           indi-%{driver}
Version:        0.9.9
# Post-Release checkout containing some improvements
Release:        4.%{checkout}%{?dist}
Summary:        INDI driver providing support for gPhoto

License:        LGPLv2+
URL:            http://indilib.org/
# Checkout from upstream svn
# svn export -r %{revision} svn://svn.code.sf.net/p/indi/code/trunk/3rdparty/indi-%{driver} %{name}-%{version}.%{checkout}
# tar -cJvf %{name}-%{version}.%{checkout}.tar.xz %{name}-%{version}.%{checkout}
Source0:        %{name}-%{version}.%{checkout}.tar.xz

# Patch submitted upstream: https://sourceforge.net/p/indi/bugs/55/
Patch0:         cmake_use_compilerflags.patch

BuildRequires:  cfitsio-devel
BuildRequires:	cmake
BuildRequires:	dcraw
BuildRequires:	libgphoto2-devel
BuildRequires:	libindi-devel
BuildRequires:	libindi-static
BuildRequires:	libjpeg-devel
BuildRequires:	libusb-devel
BuildRequires:	zlib-devel

Requires:       dcraw

%description
INDI driver using gPhoto to add support for many cameras to INDI.
This includes many DSLR, e.g. Canon or Nikon.


%prep
%setup -q -n%{name}-%{version}.%{checkout}
%patch0 -p1

%build
%cmake
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc AUTHORS COPYING.LIB README
%{_bindir}/indi_gphoto_ccd
%{_datadir}/indi/indi_gphoto.xml


%changelog
* Sat Oct 25 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.9.9-4.20141015svn1783
- fixed wrong macro usage

* Sat Oct 25 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.9.9-3.20141015svn1783
- added patch forcing cmake to honor compiler flags, required for useful debuginfo
- removed INSTALL from %doc section

* Wed Oct 15 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.9.9-2.20141015svn1783
- small spec fix

* Wed Oct 15 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.9.9-1.20141015svn1783
- initial spec
